# Foundation Alerts
`foundation-alerts` is a Micro-Frontend that is used for managing a list of alert rules. It enables users to create, edit, delete, disable and view alerts rules.
[API](./docs/api/index.md)
`foundation-alerts` provides several exports to promote reuse and extensibility at various levels. These include but are
not limited to:

* `ZeroAlerts`: A preconfigured version of the micro frontend built with the zero design system and zero components.
* `configure`: A customisation hook for the base micro frontend that integrates it with your design system of choice.

## Installation

To enable this module in your application, follow the steps below.

1. Add `@genesislcap/foundation-alerts` as a dependency in your `package.json` file. Whenever you change the dependencies of your project, ensure you run the `$ npm run bootstrap` command again. You can find more information in the [package.json basics](https://learn.genesis.global/secure/web/basics/package-json-basics/) page.

```json
{
  ...
  "dependencies": {
    ...
    "@genesislcap/foundation-alerts": "latest"
    ...
  },
  ...
}
```

## [API Docs](./docs/api/index.md)

## License

Note: this project provides front-end dependencies and uses licensed components listed in the next section; thus, licenses for those components are required during development. Contact [Genesis Global](https://genesis.global/contact-us/) for more details.

### Licensed components
Genesis low-code platform
